Bug 140952 - windows10 update 10/3/21 (print spooler security KB5000802)
Summary: windows10 update 10/3/21 (print spooler security KB5000802)
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 141046 141246 141991 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-03-11 13:41 UTC by mejames1974
Modified: 2021-04-30 12:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mejames1974 2021-03-11 13:41:22 UTC
The day after the windows update all was working OK until I tried to open a writer file. Windows then crashed with the stop code APC_INDEX_MISMATCH. What failed win32kfull.sys.

On restarting I found and deleted a .lock file in the profile.  

On trying to open LibreOffice this problem repeated.

I then uninstalled the windows security update.

LibreOffice then told me I was using version 7 for the first time. I thought I was already using this version.

Everything now seems to be working normally.  However I don't have the security update installed.
Comment 1 Mike Kaganski 2021-03-11 13:51:39 UTC
The stop error indicates some hardware/driver problem [1]. It could be triggered by something in LibreOffice (most likely Vulkan), but the real issue is likely video drivers not handling the requests correctly (no user-space applications should be ever able to create BSODs: that always indicate low-level system component bugs).

For now, try to force Skia software rendering under Options->LibreOffice->View, and check if this allows you to have the update installed. Please try to file a bug to your video driver manufacturer, if this helps.

[1] https://docs.microsoft.com/en-us/windows-hardware/drivers/debugger/bug-check-0x1--apc-index-mismatch
Comment 2 Mike Kaganski 2021-03-11 13:54:17 UTC
(In reply to mejames1974 from comment #0)
> LibreOffice then told me I was using version 7 for the first time. I thought
> I was already using this version.

This only means that the stop error happened at the moment when the profile was written, and so it got corrupted to the point that LibreOffice had to re-create it the next time. Having re-created the profile, it lost the memory of being already used here.
Comment 3 Mike Kaganski 2021-03-12 11:41:41 UTC
Please mention your video hardware model, video driver version, and which security update was that that caused this. Thanks!
Comment 4 mejames1974 2021-03-12 12:44:31 UTC
Windows 10 security update of 10 April 2021
AMD RX570 8GB
The video driver dated from 2019.
Unfortunately I subsequently let AMD update everything and consequently my monitors do not get a signal (giving me another headache) so I can't be more precise since I can't, at present access my computer.
Comment 5 mejames1974 2021-03-12 12:51:41 UTC
oops 10th March!
Comment 6 Mike Kaganski 2021-03-12 12:55:47 UTC
Likely that's https://support.microsoft.com/en-us/topic/march-9-2021-kb5000802-os-builds-19041-867-and-19042-867-63552d64-fe44-4132-8813-ef56d3626e14

which has this entry in "Known issues in this update":

> After installing this update, you might receive an APC_INDEX_MISMATCH error
> with a blue screen when attempting to print to certain printers in some apps.

and this "Workaround":

> We are presently investigating and will provide an update when more
> information is available.
Comment 7 Mike Kaganski 2021-03-12 13:05:25 UTC
It looks like not related to video (and thus it is unlikely to be solved by forcing Skia software mode), but to some printer. Could you please tell which printer and printer driver you are using?
Comment 8 mejames1974 2021-03-12 13:58:22 UTC
I did not attempt to print anything  after switching the computer on the day after the update.

(The printer I use is a Kyocera FS C5100DN colour laser)
Comment 9 Mike Kaganski 2021-03-12 14:19:24 UTC
(In reply to mejames1974 from comment #8)
> I did not attempt to print anything  after switching the computer on the day
> after the update.

LibreOffice might still communicate with driver of the printer configured in the document when loading it, e.g. to get a list of supported paper types, or margins, or something like that. See e.g. tdf#42673, or tdf#116679, where printer was communicated at opening Format -> Character.

> (The printer I use is a Kyocera FS C5100DN colour laser)

Thanks!
Comment 10 Mike Kaganski 2021-03-13 09:26:54 UTC
(In reply to Mike Kaganski from comment #6)
> Likely that's
> https://support.microsoft.com/en-us/topic/march-9-2021-kb5000802-os-builds-
> 19041-867-and-19042-867-63552d64-fe44-4132-8813-ef56d3626e14

... or https://support.microsoft.com/en-us/topic/march-9-2021-kb5000808-os-build-18363-1440-6989940a-252d-48f3-a2a7-a42bf19fa2c8
Comment 11 V Stuart Foote 2021-03-14 14:51:20 UTC
from see also https://bugs.documentfoundation.org/show_bug.cgi?id=140997#c2

This is known and NOB, if you are affected will depend on the printers you have installed for use by LibreOffice and other products.

Removing the printers, they get recorded into your LibreOffice profile, should help--but it is really up to Microsoft to fix issues with KB5000802 (or KB5000808, KB5000809, KB5000822 for older Win10 builds).
Comment 12 mejames1974 2021-03-15 11:27:00 UTC
Thanks for your work investigating this problem, much appreciated.
Comment 14 Uwe Auer 2021-03-25 13:51:11 UTC
*** Bug 141246 has been marked as a duplicate of this bug. ***
Comment 15 Xisco Faulí 2021-04-30 10:01:47 UTC
*** Bug 141046 has been marked as a duplicate of this bug. ***
Comment 16 Mike Kaganski 2021-04-30 12:49:47 UTC
*** Bug 141991 has been marked as a duplicate of this bug. ***